Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CRM_Leads_DisQualification
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    Private _DisQualificationLeadStatus As eDisQualificationLeadStatus

    Property DisQualificationLeadStatus As eDisQualificationLeadStatus
        Get
            Return _DisQualificationLeadStatus
        End Get
        Set(value As eDisQualificationLeadStatus)
            SetPropertyValue("DisQualificationLeadStatus", _DisQualificationLeadStatus, value)
        End Set
    End Property
End Class

Public Enum eDisQualificationLeadStatus
    Lost = 1
    CannotContact = 2
    NoLongerInterested = 3
    Canceled = 4
End Enum